Bug 1281349 - Operation not permitted Couldn't map MMIO region
Operation not permitted Couldn't map MMIO region
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 06:08 EST by Aleksandr Ploskov
Modified: 2016-07-19 14:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:27:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandr Ploskov 2015-11-12 06:08:02 EST
Description of problem:
I tried to start intel_gpu_top, and get the following error:
[root@white ploskov]# intel_gpu_top 
Test assertion failure function intel_mmio_use_pci_bar, file intel_mmio.c:145:
Failed assertion: !(error != 0)
Last errno: 1, Operation not permitted
Couldn't map MMIO region

Root and user can't run intel_gpu_tools.

Version-Release number of selected component (if applicable):
Установленные пакеты
Имя         : intel-gpu-tools
Архитектура : x86_64
Эпоха       : 0
Версия      : 2.99.917
Релиз       : 15.20150729.fc22
Размер      : 4.4 M
Репозиторий : @System
Из репозито : updates
Краткое опи : Debugging tools for Intel graphics chips
URL         : http://www.x.org
Лицензия    : MIT
Описание    : Debugging tools for Intel graphics chips


How reproducible:
Run intel_gpu_top

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
I expect to see top.


Additional info:
Intel(R) Pentium(R) CPU  N3540  @ 2.16GHz
VGA compatible controller: Intel Corporation Atom Processor Z36xxx/Z37xxx Series Graphics & Display (rev 0e)
Comment 1 sean darcy 2015-12-07 12:13:03 EST
Same bug:
https://bugs.freedesktop.org/show_bug.cgi?id=93199
Comment 2 Fedora End Of Life 2016-07-19 14:27:54 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.